Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.component
Class StandardClassLoaderFactory

    java.lang.Object
      org.modeshape.common.component.StandardClassLoaderFactory

All Implemented Interfaces:
  ClassLoaderFactory

    @Immutable
    public class StandardClassLoaderFactory

extends Object
implements ClassLoaderFactory

A `ClassLoaderFactory` implementation that loads classes using the thread's `context class loader` or (optionally) a supplied class loader.

Constructor Summary
`StandardClassLoaderFactory()`
`StandardClassLoaderFactory(boolean useCurrentThreadContextClassLoader, ClassLoader delegate)`
`StandardClassLoaderFactory(ClassLoader delegate)`

Method Summary
`ClassLoader` | `getClassLoader(String... classpath)` Get a class loader for the supplied classpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardClassLoaderFactory

    public StandardClassLoaderFactory()

### StandardClassLoaderFactory

    public StandardClassLoaderFactory(ClassLoader delegate)

### StandardClassLoaderFactory

    public StandardClassLoaderFactory(boolean useCurrentThreadContextClassLoader,
                                      ClassLoader delegate)

Method Detail

### getClassLoader

    public ClassLoader getClassLoader(String... classpath)

  Get a class loader for the supplied classpath.

  Specified by:
    `getClassLoader` in interface `ClassLoaderFactory`
  Parameters:
    `classpath` - the classpath to use
  Returns:
    the class loader; may not be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.